Run a task

/tasks/{task_id}/actions/run

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This call runs (executes) the specified task. Only tasks whose status is "DRAFT" may be run.

https://cgc-api.sbgenomics.com/v2/tasks/{task_id}/actions/run

Request

Example request

POST /v2/tasks/08c5da64-1329-ba3e-b014-62a1617bc7db/actions/run" HTTP/1.1
Host: cgc-api.sbgenomics.com
X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74
curl  -s -H "X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74" -H "content-type: application/json" -X POST "https://cgc-api.sbgenomics.com/v2/tasks/08c5da64-1329-ba3e-b014-62a1617bc7db/actions/run"

Header Fields

NameDescription
X-SBG-Auth-Token
required
Your CGC authentication token.

Path parameters

NameDescription
task_idThe ID of the task you are acting on.

Query parameters

NameData typeDescription
fieldsstringSelector specifying a subset of fields to include in the response.

Response

See a list of CGC-specific response codes that may be contained in the body of the response.

Example response body

{
  "href": "https://cgc-api.sbgenomics.com/v2/tasks/234eca2d-a813-4828-a7c3-0aa757f991e7",
  "id": "234eca2d-a813-4828-a7c3-0aa757f991e7",
  "name": "new name for my task",
  "description": "re-describing the task",
  "status": "RUNNING",
  "project": "RFranklin/my-project",
  "use_interruptible_instances": true,
  "app": "RFranklin/my-project/new/0",
  "type": "v2",
  "created_by": "RFranklin",
  "executed_by": "RFranklin",
  "start_time": "2016-01-12T18:39:30Z",
  "execution_status": {
    "message": "Initializing..."
  },
  "inputs": {
    "dispersion_threshold": null,
    "cuffdiff_zip": {
      "class": "File",
      "path": "562785ec3d4b00a1d69a8b1da",
      "name": "example_human_known_indels.vcf"
    },
    "density_threshold": null,
    "thresholds_off": null
  },
  "outputs": {
    "archive": null,
    "html": null
  }
}
Language
LoadingLoading…